Skip to main content
POST
/
v1
/
match
/
face
Match Faces
curl --request POST \
  --url https://api.kiriku.app/v1/match/face \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "referenceImage": "<string>",
  "liveImage": "<string>"
}
'
{
  "match": true,
  "similarity": 123,
  "confidence": "<string>",
  "distance": 123,
  "threshold": 123,
  "processingMs": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
referenceImage
string
required

Base64 encoded reference image (e.g., ID card).

liveImage
string
required

Base64 encoded live image (e.g., selfie).

Response

200 - application/json

Face match completed

match
boolean
similarity
number
confidence
string
distance
number
threshold
number
processingMs
number